import logging
from pathlib import Path

SCHEMA_PATH = Path(__file__).parent.parent / "inventory_handler" / "inventory_schema.json"
INVENTORY_PATH = Path("/mnt/persistent-data/evtec-ecp-data/data/inventory.json")
ECP_CONFIG_PATH = Path("/mnt/persistent-data/evtec-ecp-data/config/config.json")

CPU_SERIAL_PATH = Path("/sys/bus/soc/devices/soc0/serial_number")
UBOOT_VERSION_PATH = Path("/var/run/u-boot_version.txt")
ECP_VERSION_PATH = Path("/var/lib/opkg/status")
IMAGE_VERSION_PATH = Path("/proc/version")
RESCUE_CENTRAL_RAUCS = Path("/mnt/rescue-data/.rauc-data/central.raucs")
PERSISTENT_CENTRAL_RAUCS = Path("/mnt/persistent-data/.rauc-data/central.raucs")

logging.basicConfig(level=logging.DEBUG, format="[%(levelname)s] %(message)s")
loggerName = "InventoryHandler"
logger = logging.getLogger(loggerName)

LABEL_NOT_INSTALLED = "not-installed"
LABEL_UNKNOWN_VERSION = "unknown-version"
